use Test::More;
use lib "lib";
use Data::Dumper;
use Socket qw(AF_INET AF_INET6);

use_ok 'Net::Patricia::ipvXbycc';

local $_ = 'not modified';

my $ipbycc = Net::Patricia::ipvXbycc->new;
ok $ipbycc->pt( AF_INET  );
ok $ipbycc->pt( AF_INET6 );

is $ipbycc->match_string('8.8.8.8'), 'US';
is $ipbycc->match_string('2001:4860:4860::8888'), 'US';

is $_, 'not modified';

done_testing;
